Set autologin cookie as secure by default when using https

2015-10-07 21:41 - Jean-Philippe Lang

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee: Jean-Philippe Lang % Done: 0%

Category: Security Estimated time: 0.00 hour

Target version: 3.2.0   

Resolution: Fixed   

Description

The secure flag for the autologin cookie can be configured in configuration.yml. Instead of setting it to false by default, it should be

set to true when using SSL.

Related issues:

Related to Redmine - Feature #21697: Set secure flag of the session cookie de... Reopened

Associated revisions

Revision 14648 - 2015-10-07 21:43 - Jean-Philippe Lang

Set autologin cookie as secure by default when using https (#20935).

History

#1 - 2015-10-07 21:43 - Jean-Philippe Lang

- Subject changed from Set session cookie as secure by default when using https to Set autologin cookie as secure by default when using https

- Description updated

- Status changed from New to Closed

- Resolution set to Fixed

#3 - 2016-01-12 00:40 - Go MAEDA

- Has duplicate Feature #21697: Set secure flag of the session cookie depending on original request added

#4 - 2016-01-12 00:46 - Go MAEDA

- Has duplicate deleted (Feature #21697: Set secure flag of the session cookie depending on original request)

#5 - 2016-01-12 00:46 - Go MAEDA

- Related to Feature #21697: Set secure flag of the session cookie depending on original request added
